package intrinsic.mx.core;

public class UITextFormat extends intrinsic.flash.text.TextFormat {

	/** Accessors */
	public intrinsic.mx.core.IFlexModuleFactory moduleFactory;

	/** Variables */
	public String antiAliasType;
	public String gridFitType;
	public double thickness;
	public double sharpness;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public UITextFormat() {
}

public UITextFormat(intrinsic.mx.managers.ISystemManager arg0) {
}

public UITextFormat(intrinsic.mx.managers.ISystemManager arg0, String arg1) {
}

public UITextFormat(intrinsic.mx.managers.ISystemManager arg0, String arg1, Object arg2) {
}

public UITextFormat(intrinsic.mx.managers.ISystemManager arg0, String arg1, Object arg2, Object arg3) {
}

public UITextFormat(intrinsic.mx.managers.ISystemManager arg0, String arg1, Object arg2, Object arg3, Object arg4) {
}

public UITextFormat(intrinsic.mx.managers.ISystemManager arg0, String arg1, Object arg2, Object arg3, Object arg4, Object arg5) {
}

public UITextFormat(intrinsic.mx.managers.ISystemManager arg0, String arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6) {
}

public UITextFormat(intrinsic.mx.managers.ISystemManager arg0, String arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, String arg7) {
}

public UITextFormat(intrinsic.mx.managers.ISystemManager arg0, String arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, String arg7, String arg8) {
}

public UITextFormat(intrinsic.mx.managers.ISystemManager arg0, String arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, String arg7, String arg8, String arg9) {
}

public UITextFormat(intrinsic.mx.managers.ISystemManager arg0, String arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, String arg7, String arg8, String arg9, Object arg10) {
}

public UITextFormat(intrinsic.mx.managers.ISystemManager arg0, String arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, String arg7, String arg8, String arg9, Object arg10, Object arg11) {
}

public UITextFormat(intrinsic.mx.managers.ISystemManager arg0, String arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, String arg7, String arg8, String arg9, Object arg10, Object arg11, Object arg12) {
}

public UITextFormat(intrinsic.mx.managers.ISystemManager arg0, String arg1, Object arg2, Object arg3, Object arg4, Object arg5, Object arg6, String arg7, String arg8, String arg9, Object arg10, Object arg11, Object arg12, Object arg13) {
}


/** Static Methods */

/** Methods */
public native intrinsic.flash.text.TextLineMetrics measureHTMLText(String arg0);
public native intrinsic.flash.text.TextLineMetrics measureHTMLText(String arg0, boolean arg1);
public native void copyFrom(intrinsic.flash.text.TextFormat arg0);
public native intrinsic.flash.text.TextLineMetrics measureText(String arg0);
public native intrinsic.flash.text.TextLineMetrics measureText(String arg0, boolean arg1);

}
